From 9fee6b80bd79499f6ba63ae91077373408813fe2 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Fri, 9 Jan 2015 17:22:01 -0500
Subject: books/bookvolbib add Stou07 reference

@article{Stou07,
  author = "Stoutemyer, David R.",
  title = "Useful Computations Need Useful Numbers",
  year = "2007",
  publisher = "ACM",
  journal = "Communications in Computer Algebra",
  volume = "41",
  number = "3",
  abstract =
    "Most of us have taken the exact rational and approximate numbers in
    our computer algebra systems for granted for a long time, not thinking
    to ask if they could be significantly better. With exact rational
    arithmetic and adjustable-precision floating-point arithmetic to
    precision limited only by the total computer memory or our patience,
    what more could we want for such numbers?  It turns out that there is
    much that can be done that permits us to obtain exact results more
    often, more intelligible results, approximate results guaranteed to
    have requested error bounds, and recovery of exact results from
    approximate ones."

}
---
 books/bookvolbib.pamphlet      |   25 +++++++++++++++++++
 changelog                      |    2 +
 patch                          |   53 +++++++++++++++-------------------------
 src/axiom-website/patches.html |    2 +
 4 files changed, 49 insertions(+), 33 deletions(-)

diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index e550a60..b03e79e 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1936,6 +1936,31 @@ when shown in factored form.
 
 \end{chunk}
 
+\index{Stoutemyer, David R.}
+\begin{chunk}{axiom.bib}
+@article{Stou07,
+  author = "Stoutemyer, David R.",
+  title = "Useful Computations Need Useful Numbers",
+  year = "2007",
+  publisher = "ACM",
+  journal = "Communications in Computer Algebra",
+  volume = "41",
+  number = "3",
+  abstract =
+    "Most of us have taken the exact rational and approximate numbers in
+    our computer algebra systems for granted for a long time, not thinking
+    to ask if they could be significantly better. With exact rational
+    arithmetic and adjustable-precision floating-point arithmetic to
+    precision limited only by the total computer memory or our patience,
+    what more could we want for such numbers?  It turns out that there is
+    much that can be done that permits us to obtain exact results more
+    often, more intelligible results, approximate results guaranteed to
+    have requested error bounds, and recovery of exact results from
+    approximate ones."
+
+}
+\end{chunk}
+
 \index{Yang, Xiang}
 \index{Mittal, Rajat}
 \begin{chunk}{ignore}
diff --git a/changelog b/changelog
index 2b9a71c..c397fc1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150109 tpd src/axiom-website/patches.html 20150109.03.tpd.patch
+20150109 tpd books/bookvolbib add Stou07 reference
 20150109 tpd src/axiom-website/patches.html 20150109.02.tpd.patch
 20150109 tpd books/bookvolbib add Fate13 reference
 20150109 tpd src/axiom-website/patches.html 20150109.01.tpd.patch
diff --git a/patch b/patch
index 445d6f0..7a2b880 100644
--- a/patch
+++ b/patch
@@ -1,36 +1,23 @@
-books/bookvolbib add Fate13 reference
+books/bookvolbib add Stou07 reference
 
-@misc{Fate13,
-  author = "Fateman, Richard J.",
-  title = "Interval Arithmetic, Extended Numbers and Computer Algebra Systems",
-  year = "2013",
-  paper = "Fate13.pdf",
-  url = "http://www.cs.berkeley.edu/~fateman/papers/interval.pdf",
-  keywords = "axiomref",
+@article{Stou07,
+  author = "Stoutemyer, David R.",
+  title = "Useful Computations Need Useful Numbers",
+  year = "2007",
+  publisher = "ACM",
+  journal = "Communications in Computer Algebra",
+  volume = "41",
+  number = "3",
   abstract =
-    "Many ambitious computer algebra systems were initially designed in a
-    flush of enthusiasm, with the goal of automating any symbolic
-    mathematical manipulation ``correctly''. Historically, this approach
-    results in programs that implicitly used certain identities to
-    simplify expressions. These identities, which very likely seemed
-    universally true to the programmers in the heat of writing the CAS
-    (and often were true in well-known abstract algebraic domains) later
-    neede re-examination when such systems were extended for dealing with
-    kinds of objects unanticipated in the original design. These new
-    objects are generally introduced to the CAS by extending
-    ``generically'' the arithmetic of other operations. For example,
-    approximate floats do not have the mathematical properties of exact
-    integers or rationals. Complex numbers may strain a system designed
-    for real-valued variables. In the situation examined here, we consider
-    two categories of ``extended'' numbers: $\infty$ and {\sl undefined},
-    and real intervals. We comment on issues raised by these two
-    troublesome notions, how their introduction into a computer algebra
-    system may require a (sometimes painful) reconsideration and redesign
-    of parts of the program, and how they are related. An alternative
-    (followed most notably by the Axiom system is to essentially envision
-    a ``meta'' CAS defined in terms of categories and inheritance with
-    only the most fundamental built-in concepts; from these one can build
-    many variants of specific CAS features. This approach is appealing but
-    can fail to accommodate extensions that violate some mathematical
-    tenets in the cause of practicality."
+    "Most of us have taken the exact rational and approximate numbers in
+    our computer algebra systems for granted for a long time, not thinking
+    to ask if they could be significantly better. With exact rational
+    arithmetic and adjustable-precision floating-point arithmetic to
+    precision limited only by the total computer memory or our patience,
+    what more could we want for such numbers?  It turns out that there is
+    much that can be done that permits us to obtain exact results more
+    often, more intelligible results, approximate results guaranteed to
+    have requested error bounds, and recovery of exact results from
+    approximate ones."
+
 }
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a7b2b5e..c21c4a7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4948,6 +4948,8 @@ src/input/Makefile, charlwood fix remaining testing issues<br/>
 src/input/* fix failing tests across platforms<br/>
 <a href="patches/20150109.02.tpd.patch">20150109.02.tpd.patch</a>
 books/bookvolbib add Fate13 reference<br/>
+<a href="patches/20150109.03.tpd.patch">20150109.03.tpd.patch</a>
+books/bookvolbib add Stou07 reference<br/>
  </body>
 </html>
 
-- 
1.7.5.4

